import com.imsl.chart.*;
import java.awt.Color;

public class SampleSimpleLegend extends JFrameChart {

    public SampleSimpleLegend() {        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        chart.getLegend().setPaint(true);
  
        double y1[] = {4, 6, 2, 1, 8};
        Data data1 = new Data(axis, y1);
        data1.setDataType(Data.DATA_TYPE_LINE);
        data1.setLineColor(Color.red);
        data1.setTitle("Line");
        
        double y2[] = {7, 3, 4, 5, 2};
        Data data2 = new Data(axis, y2);
        data2.setDataType(Data.DATA_TYPE_MARKER);
        data2.setMarkerColor(Color.blue);
        data2.setTitle("Marker");
    }
    
    public static void main(String argv[]) {
        new SampleSimpleLegend().setVisible(true);
    }
}